/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Bosses\Pumpkin King\HalloweenCarvedPumpkin.cs
Lines of code: 44
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class HalloweenCarvedPumpkin : BaseLight
	{
		public override int LitItemID{ get { return (ItemID == 0x4694 ? 0x4691: 0x4695); } }
		public override int UnlitItemID{ get { return (ItemID == 0x4691 ? 0x4694: 0x4698); } }
		
		[Constructable]
		public HalloweenCarvedPumpkin() : base(Utility.RandomList(0x4694, 0x4698))
		{
			Movable = true;
			Duration = TimeSpan.Zero; // Never burnt out
			Burning = false;
			Light = LightType.Circle150;
			Weight = 3.0;
			
			if (0.25 >= Utility.RandomDouble()) {
				Hue = Utility.RandomList(1175, 1157, 1359, 1163, 1155);
			}
			else if (0.5 >= Utility.RandomDouble()) {
				Hue = Utility.RandomList(2075, 2076);
				Name = (0.5 >= Utility.RandomDouble() ? "Death's Carved Pumpkin" : "Red Squirrel's Carved Pumpkin");
			}
		}

		public HalloweenCarvedPumpkin( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Halloween \t" + "2011");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}